# Class LatLngBounds


### Extends
* LatLngBounds

## Index

### Properties
* [LatLngBounds](_latlng_.latlngbounds.md#latlngbounds)

### Methods
* [contains](_latlng_.latlngbounds.md#contains)
* [equals](_latlng_.latlngbounds.md#equals)
* [extend](_latlng_.latlngbounds.md#extend)
* [getCenter](_latlng_.latlngbounds.md#getcenter)
* [getEast](_latlng_.latlngbounds.md#geteast)
* [getNorth](_latlng_.latlngbounds.md#getnorth)
* [getNorthEast](_latlng_.latlngbounds.md#getnortheast)
* [getNorthWest](_latlng_.latlngbounds.md#getnorthwest)
* [getSouth](_latlng_.latlngbounds.md#getsouth)
* [getSouthEast](_latlng_.latlngbounds.md#getsoutheast)
* [getSouthWest](_latlng_.latlngbounds.md#getsouthwest)
* [getWest](_latlng_.latlngbounds.md#getwest)
* [intersects](_latlng_.latlngbounds.md#intersects)
* [isValid](_latlng_.latlngbounds.md#isvalid)
* [pad](_latlng_.latlngbounds.md#pad)
* [toBBoxString](_latlng_.latlngbounds.md#tobboxstring)

## Properties

### Static LatLngBounds: LatLngBoundsStatic

* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1550


## Methods

### Static contains(otherBounds: LatLngBoundsExpression): booleancontains(latlng: LatLngExpression): boolean
Returns true if the rectangle contains the given one.  
* Inherited from LatLngBounds.contains
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1611


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| otherBounds | LatLngBoundsExpression|  |

#### Returns: boolean
Returns true if the rectangle contains the given point.  
* Inherited from LatLngBounds.contains
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1616


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| latlng | LatLngExpression|  |

#### Returns: boolean

### Static equals(otherBounds: LatLngBoundsExpression): boolean
Returns true if the rectangle is equivalent (within a small margin of error)to the given bounds.  
* Inherited from LatLngBounds.equals
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1627


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| otherBounds | LatLngBoundsExpression|  |

#### Returns: boolean

### Static extend(latlng: LatLngExpression): LatLngBoundsextend(latlng: LatLngBoundsExpression): LatLngBounds
Extends the bounds to contain the given point.  
* Inherited from LatLngBounds.extend
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1556


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| latlng | LatLngExpression|  |

#### Returns: LatLngBounds
Extends the bounds to contain the given bounds.  
* Inherited from LatLngBounds.extend
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1561


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| latlng | LatLngBoundsExpression|  |

#### Returns: LatLngBounds

### Static getCenter(): LatLng
Returns the center point of the bounds.  
* Inherited from LatLngBounds.getCenter
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1606

#### Returns: LatLng

### Static getEast(): number
Returns the east longitude in degrees of the bounds.  
* Inherited from LatLngBounds.getEast
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1591

#### Returns: number

### Static getNorth(): number
Returns the north latitude in degrees of the bounds.  
* Inherited from LatLngBounds.getNorth
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1596

#### Returns: number

### Static getNorthEast(): LatLng
Returns the north-east point of the bounds.  
* Inherited from LatLngBounds.getNorthEast
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1571

#### Returns: LatLng

### Static getNorthWest(): LatLng
Returns the north-west point of the bounds.  
* Inherited from LatLngBounds.getNorthWest
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1576

#### Returns: LatLng

### Static getSouth(): number
Returns the south latitude in degrees of the bounds.  
* Inherited from LatLngBounds.getSouth
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1601

#### Returns: number

### Static getSouthEast(): LatLng
Returns the south-east point of the bounds.  
* Inherited from LatLngBounds.getSouthEast
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1581

#### Returns: LatLng

### Static getSouthWest(): LatLng
Returns the south-west point of the bounds.  
* Inherited from LatLngBounds.getSouthWest
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1566

#### Returns: LatLng

### Static getWest(): number
Returns the west longitude in degrees of the bounds.  
* Inherited from LatLngBounds.getWest
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1586

#### Returns: number

### Static intersects(otherBounds: LatLngBoundsExpression): boolean
Returns true if the rectangle intersects the given bounds.  
* Inherited from LatLngBounds.intersects
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1621


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| otherBounds | LatLngBoundsExpression|  |

#### Returns: boolean

### Static isValid(): boolean
Returns true if the bounds are properly initialized.  
* Inherited from LatLngBounds.isValid
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1644

#### Returns: boolean

### Static pad(bufferRatio: number): LatLngBounds
Returns bigger bounds created by extending the current bounds by a givenpercentage in each direction.  
* Inherited from LatLngBounds.pad
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1639


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| bufferRatio | number|  |

#### Returns: LatLngBounds

### Static toBBoxString(): string
Returns a string with bounding box coordinates in a 'southwest_lng,southwest_lat,northeast_lng,northeast_lat'format. Useful for sending requests to web services that return geo data.  
* Inherited from LatLngBounds.toBBoxString
* Defined in /ssd2/home/kapcsandi/scm/ttt/mapcatjs-sdk/typings/main/ambient/leaflet/index.d.ts:1633

#### Returns: string


Generated using [TypeDoc](http://typedoc.io)
